Vlad Balanescu Vlad Balanescu - 21 days ago 9
Sass (Sass) Question

Sass::SyntaxError: Colors must have either three or six digits: '#b'

I am getting the following error just after upgrading to rails 4.2.0. It used to work fine and I didn't even touch that file, so I am not quite sure what makes the sass gem raise this error. My

gemfile
->

source 'http://rubygems.org'
ruby '2.2.4'
gem 'rails', '~> 4.2.0'

# Assets gems
group :assets do
gem 'sass-rails', '~> 4.0'
gem 'coffee-rails', '~> 4.0'
end


And my error:

rake aborted!
Sass::SyntaxError: Colors must have either three or six digits: '#b'
(in /home/travis/build/Vlad-Balanescu/extreme-blue/app/assets/stylesheets/application.css)
(sass):77

Answer

For some reason I had this line:

{color:#blue;} 

under my bootstrap.min.css file which wasn't picked up with the previous version of Rails. Odd!